unit cde_types;
{$mode delphi}
{$codepage UTF8}
interface
uses Classes, SysUtils, VersionControl;
//types
type TDiscState = (dsNormal, dsEmpty, dsUnFormatted, dsNIL);
     TDiscInfo = packed record
      diHasInfo: Boolean;
      diDrive: WideChar;
      diFileSystem: String[25];
      diVolumeName: String[255];
      diSerial: LongInt;
      diDiscSize, diDiscFree: Int64;
      end;
     TCDELanguageInfo = packed record
      liName, liAuthor: String;
      liVersion, liCDEVersion: TVersionInfo;
      end;
//const
const CDELib: String = 'cdejecter.dll';
      //Path constants
      pth_windir: String = '$windir$';
      pth_windisc: String = '$windisc$';
      pth_desktop: String = '$windesktop$';
      pth_personal: String = '$winpersonal$';
      pth_fonts: String = '$winfonts$';
      pth_wappdata: String = '$winappdata$';
      //Development years (for about)
      YearsDevelopment: String = '2011 - 2017';
      //Project home page
      WebHomePage: String = 'http://babaev-an.ru/my_projects/cd_ejecter/';
implementation
end.
